<template>
  <!-- Content Wrapper. Contains page content -->
  <div id="content-wrap" class="mdc-top-app-bar--fixed-adjust">
    <!-- Content Header (Page header) -->
<!--    <section class="content-header">-->
<!--      <h1>-->
<!--        {{ title }}-->
<!--        &lt;!&ndash; <small>Version 2.0</small> &ndash;&gt;-->
<!--      </h1>-->
<!--      <ol class="breadcrumb">-->
<!--        <li v-for="(item, index) in breadcrumbs" :class="index == breadcrumbs.length -1 ? 'active': ''" :key="index">{{ item }}</li>-->
<!--      </ol>-->
<!--    </section>-->

    <section class="content">
      <transition name="page" mode="out-in">
        <router-view></router-view>
      </transition>
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
</template>

<script src="./ContentWrap.js"></script>

<style>
.page-enter-active, .page-leave-active {
  transition: opacity 0.5s, transform 0.5s;
}
.page-enter, .page-leave-to {
  opacity: 0;
}
</style>
